<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class CreateTraceFailedRequestsProviders extends Upgrader\Migration
{
    public function change()
    {
        $this->createTable('TraceFailedRequestsProviders', [
            'description' => 'Stores possible providers of IIS failed requests',
            'columns' => [
                'id' => self::TYPE_PRIMARY_KEY,
                'ruleId' => [
                    'type' => self::TYPE_FOREIGN_KEY,
                    'foreignKey' => 'TraceFailedRequestsRules.id',
                    'deleteCascade' => true,
                ],
                'name' => self::TYPE_STRING,
            ],
            'indexes' => [
                'name' => [
                    'type' => self::INDEX_UNIQUE,
                    'columns' => ['ruleId', 'name'],
                ],
            ],
        ]);
    }
}
