<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class CreateCliCallsStat extends Upgrader\Migration
{
    public function change()
    {
        $this->createTable('CliCallsStat', [
            'description' => 'Statistics of cli calls (plesk user utilities, i.e. bin)',
            'columns' => [
                'id' => static::TYPE_PRIMARY_KEY,
                'util' => static::TYPE_STRING,
                'command' => static::TYPE_STRING,
                'lastExecutionDateTime' => static::TYPE_DATETIME,
                'count' => [
                    'type' => self::TYPE_BIGINT,
                    'default' => 1,
                ]
            ],
            'indexes' => [
                'utilCommand' => ['type' => self::INDEX_UNIQUE, 'columns' => ['command', 'util']],
             ],
        ]);
    }
}
